import { _decorator, Component, Node } from 'cc';
import { EventArgs } from '../../interface/IPrimary';
import { EventsHandler } from '../events/EventsHandler';
const { ccclass } = _decorator;

// Composition class

@ccclass('EventsDataHandler')
export class EventsDataHandler 
{
    public eventsHandler: EventsHandler;

    public fn_InitEventsHandler(eventsHandler: EventsHandler)
    {
        this.eventsHandler = eventsHandler;
    }
    
    public fn_PassEventData(evtArgs: EventArgs) 
    {
        this.eventsHandler.fn_ManageEventOperation(evtArgs.evtOp, evtArgs.evtType);
    }
}

